<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_25) on Tue Nov 07 17:12:40 PST 2017 -->
<title>Node</title>
<meta name="date" content="2017-11-07">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="Node";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../xdc/services/spec/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../xdc/services/spec/Import.html" title="class in xdc.services.spec"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../xdc/services/spec/ParserSession.html" title="class in xdc.services.spec"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?xdc/services/spec/Node.html" target="_top">Frames</a></li>
<li><a href="Node.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">xdc.services.spec</div>
<h2 title="Class Node" class="title">Class Node</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>xdc.services.spec.Node</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.io.Serializable, java.lang.Comparable&lt;<a href="../../../xdc/services/spec/Node.html" title="class in xdc.services.spec">Node</a>&gt;</dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../xdc/services/spec/Decl.html" title="class in xdc.services.spec">Decl</a>, <a href="../../../xdc/services/spec/Pkg.html" title="class in xdc.services.spec">Pkg</a>, <a href="../../../xdc/services/spec/Unit.html" title="class in xdc.services.spec">Unit</a></dd>
</dl>
<hr>
<br>
<pre>public abstract class <span class="strong">Node</span>
extends java.lang.Object
implements java.lang.Comparable&lt;<a href="../../../xdc/services/spec/Node.html" title="class in xdc.services.spec">Node</a>&gt;, java.io.Serializable</pre>
<div class="block">Abstract superclass for any formally declared object in a .xdc file.</div>
<dl><dt><span class="strong">See Also:</span></dt><dd><a href="../../../serialized-form.html#xdc.services.spec.Node">Serialized Form</a></dd></dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../xdc/services/spec/Node.html#Node()">Node</a></strong>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Node.html#attrBool(java.lang.String)">attrBool</a></strong>(java.lang.String&nbsp;id)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Node.html#attrInt(java.lang.String)">attrInt</a></strong>(java.lang.String&nbsp;id)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Node.html#attrString(java.lang.String)">attrString</a></strong>(java.lang.String&nbsp;id)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Node.html#compareTo(xdc.services.spec.Node)">compareTo</a></strong>(<a href="../../../xdc/services/spec/Node.html" title="class in xdc.services.spec">Node</a>&nbsp;n)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../xdc/services/spec/Atom.html" title="class in xdc.services.spec">Atom</a></code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Node.html#getAtom()">getAtom</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.Map&lt;java.lang.String,<a href="../../../xdc/services/spec/Attr.html" title="class in xdc.services.spec">Attr</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Node.html#getAttrMap()">getAttrMap</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>abstract java.util.List&lt;? extends <a href="../../../xdc/services/spec/Node.html" title="class in xdc.services.spec">Node</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Node.html#getChildren()">getChildren</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.util.List&lt;<a href="../../../xdc/services/spec/DocComment.html" title="class in xdc.services.spec">DocComment</a>&gt;</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Node.html#getDocs()">getDocs</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Node.html#getName()">getName</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../xdc/services/spec/Node.html" title="class in xdc.services.spec">Node</a></code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Node.html#getParent()">getParent</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Node.html#getPkgName()">getPkgName</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>abstract java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Node.html#getQualName()">getQualName</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../xdc/services/spec/Session.html" title="class in xdc.services.spec">Session</a></code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Node.html#getSession()">getSession</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Node.html#getSummary()">getSummary</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>abstract java.lang.String</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Node.html#getXmlTag()">getXmlTag</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Node.html#hasAttr(java.lang.String)">hasAttr</a></strong>(java.lang.String&nbsp;id)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Node.html#isExternal()">isExternal</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Node.html#isFinal()">isFinal</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Node.html#isInst()">isInst</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Node.html#isInter()">isInter</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Node.html#isInternal()">isInternal</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Node.html#isMeta()">isMeta</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Node.html#isMod()">isMod</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Node.html#isNodoc()">isNodoc</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Node.html#isOver()">isOver</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Node.html#isReadonly()">isReadonly</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Node.html#isStatic()">isStatic</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Node.html#isSys()">isSys</a></strong>()</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../xdc/services/spec/XDoc.html" title="class in xdc.services.spec">XDoc</a></code></td>
<td class="colLast"><code><strong><a href="../../../xdc/services/spec/Node.html#makeXDoc()">makeXDoc</a></strong>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Node()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Node</h4>
<pre>public&nbsp;Node()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="attrBool(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>attrBool</h4>
<pre>public&nbsp;boolean&nbsp;attrBool(java.lang.String&nbsp;id)</pre>
</li>
</ul>
<a name="attrInt(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>attrInt</h4>
<pre>public&nbsp;int&nbsp;attrInt(java.lang.String&nbsp;id)</pre>
</li>
</ul>
<a name="attrString(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>attrString</h4>
<pre>public&nbsp;java.lang.String&nbsp;attrString(java.lang.String&nbsp;id)</pre>
</li>
</ul>
<a name="compareTo(xdc.services.spec.Node)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>compareTo</h4>
<pre>public&nbsp;int&nbsp;compareTo(<a href="../../../xdc/services/spec/Node.html" title="class in xdc.services.spec">Node</a>&nbsp;n)</pre>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code>compareTo</code>&nbsp;in interface&nbsp;<code>java.lang.Comparable&lt;<a href="../../../xdc/services/spec/Node.html" title="class in xdc.services.spec">Node</a>&gt;</code></dd>
</dl>
</li>
</ul>
<a name="getAttrMap()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAttrMap</h4>
<pre>public final&nbsp;java.util.Map&lt;java.lang.String,<a href="../../../xdc/services/spec/Attr.html" title="class in xdc.services.spec">Attr</a>&gt;&nbsp;getAttrMap()</pre>
</li>
</ul>
<a name="getChildren()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getChildren</h4>
<pre>public abstract&nbsp;java.util.List&lt;? extends <a href="../../../xdc/services/spec/Node.html" title="class in xdc.services.spec">Node</a>&gt;&nbsp;getChildren()</pre>
</li>
</ul>
<a name="getDocs()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDocs</h4>
<pre>public final&nbsp;java.util.List&lt;<a href="../../../xdc/services/spec/DocComment.html" title="class in xdc.services.spec">DocComment</a>&gt;&nbsp;getDocs()</pre>
</li>
</ul>
<a name="getName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getName</h4>
<pre>public&nbsp;java.lang.String&nbsp;getName()</pre>
</li>
</ul>
<a name="getAtom()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getAtom</h4>
<pre>public&nbsp;<a href="../../../xdc/services/spec/Atom.html" title="class in xdc.services.spec">Atom</a>&nbsp;getAtom()</pre>
</li>
</ul>
<a name="getSummary()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSummary</h4>
<pre>public final&nbsp;java.lang.String&nbsp;getSummary()</pre>
</li>
</ul>
<a name="getParent()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getParent</h4>
<pre>public&nbsp;<a href="../../../xdc/services/spec/Node.html" title="class in xdc.services.spec">Node</a>&nbsp;getParent()</pre>
</li>
</ul>
<a name="getPkgName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPkgName</h4>
<pre>public&nbsp;java.lang.String&nbsp;getPkgName()</pre>
</li>
</ul>
<a name="getSession()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSession</h4>
<pre>public&nbsp;<a href="../../../xdc/services/spec/Session.html" title="class in xdc.services.spec">Session</a>&nbsp;getSession()</pre>
</li>
</ul>
<a name="getQualName()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getQualName</h4>
<pre>public abstract&nbsp;java.lang.String&nbsp;getQualName()</pre>
</li>
</ul>
<a name="getXmlTag()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getXmlTag</h4>
<pre>public abstract&nbsp;java.lang.String&nbsp;getXmlTag()</pre>
</li>
</ul>
<a name="hasAttr(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hasAttr</h4>
<pre>public&nbsp;boolean&nbsp;hasAttr(java.lang.String&nbsp;id)</pre>
</li>
</ul>
<a name="isExternal()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isExternal</h4>
<pre>public final&nbsp;boolean&nbsp;isExternal()</pre>
</li>
</ul>
<a name="isFinal()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isFinal</h4>
<pre>public final&nbsp;boolean&nbsp;isFinal()</pre>
</li>
</ul>
<a name="isInter()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isInter</h4>
<pre>public final&nbsp;boolean&nbsp;isInter()</pre>
</li>
</ul>
<a name="isInternal()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isInternal</h4>
<pre>public final&nbsp;boolean&nbsp;isInternal()</pre>
</li>
</ul>
<a name="isInst()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isInst</h4>
<pre>public final&nbsp;boolean&nbsp;isInst()</pre>
</li>
</ul>
<a name="isMeta()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isMeta</h4>
<pre>public final&nbsp;boolean&nbsp;isMeta()</pre>
</li>
</ul>
<a name="isMod()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isMod</h4>
<pre>public final&nbsp;boolean&nbsp;isMod()</pre>
</li>
</ul>
<a name="isNodoc()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isNodoc</h4>
<pre>public final&nbsp;boolean&nbsp;isNodoc()</pre>
</li>
</ul>
<a name="isOver()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isOver</h4>
<pre>public final&nbsp;boolean&nbsp;isOver()</pre>
</li>
</ul>
<a name="isReadonly()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isReadonly</h4>
<pre>public final&nbsp;boolean&nbsp;isReadonly()</pre>
</li>
</ul>
<a name="isStatic()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isStatic</h4>
<pre>public final&nbsp;boolean&nbsp;isStatic()</pre>
</li>
</ul>
<a name="isSys()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isSys</h4>
<pre>public final&nbsp;boolean&nbsp;isSys()</pre>
</li>
</ul>
<a name="makeXDoc()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>makeXDoc</h4>
<pre>public final&nbsp;<a href="../../../xdc/services/spec/XDoc.html" title="class in xdc.services.spec">XDoc</a>&nbsp;makeXDoc()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../xdc/services/spec/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-all.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../xdc/services/spec/Import.html" title="class in xdc.services.spec"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../xdc/services/spec/ParserSession.html" title="class in xdc.services.spec"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?xdc/services/spec/Node.html" target="_top">Frames</a></li>
<li><a href="Node.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
